Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.transportlayer
Class DistTutorial

    java.lang.Object
      rice.tutorial.transportlayer.DistTutorial

    public class DistTutorial

extends java.lang.Object

This tutorial shows how to setup a FreePastry node using the Socket Protocol.

Author:
  Jeff Hoye

Constructor Summary
`DistTutorial(int bindport, java.net.InetSocketAddress bootaddress, int numNodes, Environment env, int bandwidth)` This constructor launches numNodes PastryNodes.

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: java [-cp FreePastry-.jar] rice.tutorial.transportlayer.DistTutorial localbindport bootIP bootPort numNodes bandwidth; example java rice.tutorial.transportlayer.DistTutorial 9001 pokey.cs.almamater.edu 9001 10 1000

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistTutorial

    public DistTutorial(int bindport,
                        java.net.InetSocketAddress bootaddress,
                        int numNodes,
                        Environment env,
                        int bandwidth)
                 throws java.lang.Exception

  This constructor launches numNodes PastryNodes. They will bootstrap to an existing ring if one exists at the specified location, otherwise it will start a new ring.

  Parameters:
    `bindport` - the local port to bind to
    `bootaddress` - the IP:port of the node to boot from
    `numNodes` - the number of nodes to create in this JVM
    `env` - the environment for these nodes
  Throws:
    `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: java [-cp FreePastry-.jar] rice.tutorial.transportlayer.DistTutorial localbindport bootIP bootPort numNodes bandwidth; example java rice.tutorial.transportlayer.DistTutorial 9001 pokey.cs.almamater.edu 9001 10 1000

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.